define('bitbucket/mock/mirroring/project-table', [
    'bitbucket/internal/util/events'
], function (
    events
) {
    function MockProjectTable() {
        this.$table = $('<div></div>');
        this.init = sinon.spy();
        this.add = sinon.spy();
        this.removeProject = sinon.spy();
        this.destroy = sinon.spy();
        this.showSpinner = sinon.spy();
        this.hideSpinner = sinon.spy();
    }

    events.addLocalEventMixin(MockProjectTable.prototype);

    return MockProjectTable;
});